zenilib: zenilib/jni/external/sdl/src/video/x11/SDL_x11dyn.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
SDL_x11dyn.h File Reference
`#include "SDL_config.h"`
`#include <X11/Xlib.h>`
`#include <X11/Xutil.h>`
`#include <X11/Xatom.h>`
`#include <X11/Xlibint.h>`
`#include <X11/Xproto.h>`
`#include <X11/extensions/Xext.h>`
`#include <X11/extensions/extutil.h>`
`#include <sys/ipc.h>`
`#include <sys/shm.h>`
`#include <X11/extensions/XShm.h>`
`#include "SDL_x11sym.h"`

Go to the source code of this file.

## Macros

#define | SDL_INCLUDED_XLIBINT_H 1
#define | SDL_X11_MODULE(modname) extern int SDL_X11_HAVE_##modname;
#define | SDL_X11_SYM(rc, fn, params, args, ret)

## Typedefs

typedef Status(* | SDL_X11_XESetEventToWireRetType )(Display *, XEvent *, xEvent *)
typedef Bool(* | SDL_X11_XESetWireToEventRetType )(Display *, XEvent *, xEvent *)
typedef int(* | SDL_X11_XSynchronizeRetType )(Display *)

## Functions

int | SDL_X11_LoadSymbols (void)
void | SDL_X11_UnloadSymbols (void)

## Macro Definition Documentation

#define SDL_INCLUDED_XLIBINT_H 1

Definition at line 36 of file SDL_x11dyn.h.

#define SDL_X11_MODULE | ( |  | modname | ) | extern int SDL_X11_HAVE_##modname;

Definition at line 104 of file SDL_x11dyn.h.

#define SDL_X11_SYM | ( |  | rc,
|  |  | fn,
|  |  | params,
|  |  | args,
|  |  | ret
| ) |  |

Definition at line 105 of file SDL_x11dyn.h.

## Typedef Documentation

return Display return Display Bool Bool int int int return Display XEvent Bool(*) c XPointer return Display return Display Drawable _Xconst char unsigned int unsigned int return Display Pixmap Pixmap XColor XColor unsigned int unsigned int return Display _Xconst char char int char return Display Visual unsigned int int int char unsigned int unsigned int int int return Display Window Cursor return Display Window return Display Drawable GC int int unsigned int unsigned int return Display Drawable GC int int _Xconst char int return Display Drawable GC int int unsigned int unsigned int return Display return Display Cursor return Display GC return XModifierKeymap return char Display Window int return Display return Display Atom return Display Window XWindowAttributes return Display Window return Display XEvent Bool(*) XPointer return Display Window Bool unsigned int int int Window Cursor Time return Display Window int return KeySym return Display _Xconst char Bool return Display _Xconst char return XKeyEvent char int KeySym XComposeStatus return Display int int int XVisualInfo return Display Window int int return _Xconst char return Display XEvent return Display Drawable GC XImage int int int int unsigned int unsigned int return Display Window Window Window int int int int unsigned int return Display Window Window int int return Display Window unsigned int unsigned int return Display Window Bool long XEvent return Display GC unsigned long return Display Window int Time return Display Window Window return Display Window unsigned long return Display Window XSizeHints Display Colormap XColor int return char int XTextProperty return XFontStruct _Xconst char int int int int XCharStruct return Display Window return Display Time return Display Colormap return Display Window Window int int unsigned int unsigned int int int return Display Window int return XExtensionInfo Display char XExtensionHooks int XPointer return XExtensionInfo XExtensionInfo Display return Display return Display unsigned long Display GC Display char long Display xReply int Bool return Display Bool return Display int SDL_X11_XESetEventToWireRetType

Definition at line 91 of file SDL_x11dyn.h.

typedef Bool(* SDL_X11_XESetWireToEventRetType)(Display *, XEvent *, xEvent *)

Definition at line 88 of file SDL_x11dyn.h.

typedef int(* SDL_X11_XSynchronizeRetType)(Display *)

Definition at line 90 of file SDL_x11dyn.h.

## Function Documentation

int SDL_X11_LoadSymbols | ( | void |  | ) |

void SDL_X11_UnloadSymbols | ( | void |  | ) |